from termcolor import colored

from Interpreter.Repo import Repo
from Models.Interpreter.Error import Error


class Utils:

    def __init__(self, repo: Repo) -> None:
        self.__repo = repo
        self.line_number: int = 0

    def input(self, prefix: str) -> str:
        return input(prefix)

    def output(self, text: str) -> None:
        print(f'-> {text}')

    def error(self, error: Error) -> None:
        self.__repo.is_error = error
        print(colored(f'Error in line {self.line_number}\n{self.__repo.is_error.msg}', 'red'))
        # exit()
