from typing import List

from Models.AbstractSyntaxTree.Variable import Variable
from Models.Interpreter.Types import Types


class Function:

    def __init__(self) -> None:
        self.name: str = ''
        self.variables: List[Variable] = []
        self.instructions: [] = []
        self.return_type: Types = Types.Any
        self.is_public = False
